<?php declare(strict_types=1);

namespace Test\Unit\Mapper;

use BitBadger\PDODocument\Mapper\ArrayMapper;
use PHPUnit\Framework\TestCase;

/**
 * Unit tests for the ArrayMapper class
 */
class ArrayMapperTest extends TestCase
{
    public function testMapSucceeds(): void
    {
        $result = ['one' => 2, 'three' => 4, 'eight' => 'five'];
        $mapped = (new ArrayMapper())->map($result);
        $this->assertSame($result, $mapped, 'The array mapper should return the parameter given to it');
    }
}
